summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Nikolay Nikolov <nikobnikolov[at]gmail[dot]com>2017-04-19 07:56:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-19 07:56:28 +0700
commita8fe44e04c668db612eb00523dc0ab33237b0983 (patch)
treec4bf763b631cf040044b7eaff104b40cceb6ec8d /libraries
parentd8a8cf4250305434f317eb1258c487c5947a7b21 (diff)
downloadslackbuilds-a8fe44e04c668db612eb00523dc0ab33237b0983.tar.gz
slackbuilds-a8fe44e04c668db612eb00523dc0ab33237b0983.tar.xz
libraries/xf86-input-libinput: Added (Xorg libinput input driver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/xf86-input-libinput/README20
-rw-r--r--libraries/xf86-input-libinput/slack-desc19
-rw-r--r--libraries/xf86-input-libinput/xf86-input-libinput.SlackBuild116
-rw-r--r--libraries/xf86-input-libinput/xf86-input-libinput.info10
4 files changed, 165 insertions, 0 deletions
diff --git a/libraries/xf86-input-libinput/README b/libraries/xf86-input-libinput/README
new file mode 100644
index 0000000000..35174e6c84
--- /dev/null
+++ b/libraries/xf86-input-libinput/README
@@ -0,0 +1,20 @@
+A generic input driver for the X.Org X11 X server based on libinput,
+supporting all devices.
+Serves as a wrapper needed by libinput to communicate with X.Org.
+
+Note that to have libinput properly operating on a Slackware 14.2
+system, you also need this wrapper.
+
+The package automatically places a default configuration file in
+/etc/X11/xorg.conf.d/90-libinput.conf
+To make sure that the driver takes precedence over any other drivers
+that try to control your input devices, make sure that the number of
+the above file is the highest of all the numbers in the same directory.
+If you want to customize the default parameters of the driver,
+modify the above file. Do not modify the system file in
+/usr/share/X11/xorg.conf.d/90-libinput.conf
+
+WARNING: Misconfiguration of an X input driver may leave you without
+usable input devices in your X session.
+To fix the problem, boot to init level 3 (terminal, without starting X)
+and make the appropriate fixes.
diff --git a/libraries/xf86-input-libinput/slack-desc b/libraries/xf86-input-libinput/slack-desc
new file mode 100644
index 0000000000..ddea7f7a34
--- /dev/null
+++ b/libraries/xf86-input-libinput/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xf86-input-libinput: xf86-input-libinput (Xorg X11 libinput input driver)
+xf86-input-libinput:
+xf86-input-libinput: A generic input driver for the X.Org X11 X server based on libinput,
+xf86-input-libinput: supporting all devices. Serves as a wrapper needed by libinput to
+xf86-input-libinput: communicate with X.Org
+xf86-input-libinput:
+xf86-input-libinput:
+xf86-input-libinput: http://xorg.freedesktop.org/
+xf86-input-libinput: https://cgit.freedesktop.org/xorg/driver/xf86-input-libinput/
+xf86-input-libinput:
+xf86-input-libinput:
diff --git a/libraries/xf86-input-libinput/xf86-input-libinput.SlackBuild b/libraries/xf86-input-libinput/xf86-input-libinput.SlackBuild
new file mode 100644
index 0000000000..a7380fc2a7
--- /dev/null
+++ b/libraries/xf86-input-libinput/xf86-input-libinput.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for xf86-input-libinput
+
+# Copyright 2017 Nikolay Nikolov <nikobnikolov[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xf86-input-libinput
+VERSION=${VERSION:-0.25.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --sharedstatedir=/var/lib \
+ --infodir=/usr/info \
+ --disable-silent-rules \
+ --disable-dependency-tracking \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/X11/xorg.conf.d/*-libinput.conf $PKG/usr/share/X11/xorg.conf.d/90-libinput.conf
+mkdir -p $PKG/etc/X11/xorg.conf.d/
+cp $PKG/usr/share/X11/xorg.conf.d/90-libinput.conf $PKG/etc/X11/xorg.conf.d/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/xf86-input-libinput/xf86-input-libinput.info b/libraries/xf86-input-libinput/xf86-input-libinput.info
new file mode 100644
index 0000000000..5cbfb0d14a
--- /dev/null
+++ b/libraries/xf86-input-libinput/xf86-input-libinput.info
@@ -0,0 +1,10 @@
+PRGNAM="xf86-input-libinput"
+VERSION="0.25.0"
+HOMEPAGE="https://cgit.freedesktop.org/xorg/driver/xf86-input-libinput/"
+DOWNLOAD="https://www.x.org/releases/individual/driver/xf86-input-libinput-0.25.0.tar.bz2"
+MD5SUM="bd64be831914eda924f7166243c34968"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libinput"
+MAINTAINER="Nikolay Nikolov"
+EMAIL="nikobnikolov[at]gmail[dot]com"